/**
 * Static `parse()` and `stringify()` methods
 */
import etoa from 'events-to-array';
type EventLog = ReturnType<typeof etoa>;
import { ParserOptions } from './index.js';
/**
 * Parse a TAP text stream into a log of all the events encountered
 */
export declare const parse: (str: string, options: ParserOptions) => EventLog;
/**
 * Turn an EventLog from {@link tap-parser!statics.parse} into a TAP string
 */
export declare const stringify: (msg: EventLog, { flat, indent, id }: {
    flat?: boolean | undefined;
    indent?: string | undefined;
    id?: {
        (): number;
        current: number;
    } | undefined;
}) => string;
export {};
//# sourceMappingURL=statics.d.ts.map